<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_meeting),
            link_to: link_to(@meeting),
            html: { class: 'meeting--main-toolbar -with-dropdown' } do %>
  <% unless User.current.anonymous? %>
    <li class="toolbar-item hidden-for-tablet">
      <div class="button">
        <%= watcher_link @meeting, User.current %>
      </div>
    </li>
  <% end %>
  <% if authorize_for(:meetings, :edit) %>
    <li class="toolbar-item">
      <%= link_to({ :controller => '/meetings', :action => 'edit', :id => @meeting }, class: 'button', :accesskey => accesskey(:edit)) do %>
        <%= op_icon('button--icon icon-edit') %>
        <span class="button--text"><%= t(:button_edit) %></span>
      <% end %>
    </li>
  <% end %>

  <li class="toolbar-item drop-down">
    <a
      href="#"
      aria-haspopup="true"
      title="<%= t(:label_more) %>"
      class="button"
      data-test-selector="meetings-more-dropdown-menu"
    >
      <%= op_icon('button--icon icon-show-more') %>
    </a>
    <ul style="display:none;" class="menu-drop-down-container">
      <% if authorize_for(:meetings, :notify) %>
        <li>
          <%= link_to t('meeting.label_mail_all_participants'),
                      notify_meeting_path(@meeting),
                      class: 'icon-context icon-mail1',
                      method: :post %>
        </li>
      <% end %>
      <% if authorize_for(:meetings, :icalendar) %>
        <li>
          <%= link_to t(:label_icalendar_download),
                      download_ics_meeting_path(@meeting),
                      class: 'icon-context icon-calendar2' %>
        </li>
      <% end %>
      <% if authorize_for(:meetings, :copy) %>
        <li>
          <%= link_to(t(:button_copy),
                      copy_meeting_path(@meeting),
                      class: 'icon-context icon-copy') %>
        </li>
      <% end %>
      <% if authorize_for(:meetings, :destroy) %>
        <li>
          <%= link_to(t(:button_delete),
                      meeting_path(@meeting),
                      class: 'icon-context icon-delete',
                      method: :delete,
                      data: { confirm: t(:text_are_you_sure) }) %>
        </li>
      <% end %>
    </ul>
  </li>
<% end %>

<div class="meeting details box">
  <div class="grid-block wrap">
    <div class="grid-content small-12 block--author">
      <%= avatar(@meeting.author) %>
      <p class="author"><%= authoring @meeting.created_at, @meeting.author %></p>
    </div>
    <div class="grid-content small-6">
      <p>
        <strong><%= Meeting.human_attribute_name(:start_time) %></strong>: <%= format_date @meeting.start_time %> <%= format_time @meeting.start_time, false %>
        - <%= format_time @meeting.end_time, false %> <%= Time.zone %></p>
    </div>
    <div class="grid-content small-6">
      <p>
        <strong><%= Meeting.human_attribute_name(:location) %></strong>: <%= auto_link(h(@meeting.location), link: :all, html: { target: '_blank' }) %>
      </p>
    </div>
    <div class="grid-content small-12">
      <p>
        <strong><%= Meeting.human_attribute_name(:participants_invited) %></strong>: <%= format_participant_list @meeting.participants.invited %>
      </p>
    </div>
    <div class="grid-content small-12">
      <p>
        <strong><%= Meeting.human_attribute_name(:participants_attended) %></strong>: <%= format_participant_list @meeting.participants.attended %>
      </p>
    </div>
  </div>
</div>

<%= render_tabs [{ :name => 'agenda', :action => :create_meeting_agendas, :partial => 'meeting_contents/show', :path => meeting_agenda_path(@meeting), :label => :label_meeting_agenda, :content => @meeting.agenda || @meeting.build_agenda, :content_type => "meeting_agenda" },
                 { :name => 'minutes', :action => :create_meeting_minutes, :partial => 'meeting_contents/show', :path => meeting_minutes_path(@meeting), :label => :label_meeting_minutes, :content => @meeting.minutes || @meeting.build_minutes, :content_type => "meeting_minutes" }] %>

<% if @meeting.journals.changing.present? %>
  <div id="history">
    <h3><%= t(:label_history) %></h3>
    <% @meeting.journals.each do |journal| %>
      <%= render_meeting_journal @meeting, journal %>
    <% end %>
  </div>
<% end %>
